oderobert (Créer un compte)

Toutes mes réponses sur les forums

15 sujets de 1 à 15 (sur un total de 17)
  • Auteur
    Messages
  • en réponse à : Activation d’un thème: Vous devez avoir des droits supérieur #2370205
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Merci pour votre réponse

    Sachant que je souhaite faire du développement Web et créer 2 ou 3 sites pour mon activité, que me recommanderiez-vous comme serveur d’hébergement ou y-a-t-il un comparatif fiable ?

    Merci par avance

    Cordialement

    en réponse à : Activation d’un thème: Vous devez avoir des droits supérieur #2369683
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    J’ai repéré le code qui pose problème dans themes.php du dossier wp-admin

    if ( ! current_user_can( ‘switch_themes’ ) && ! current_user_can( ‘edit_theme_options’ ) ) {
    wp_die(
    ‘<h1>’ . __( ‘You need a higher level of permission.’ ) . ‘</h1>’ .
    ‘<p>’ . __( ‘Sorry, you are not allowed to edit theme options on this site.’ ) . ‘</p>’,
    403
    );
    }

    Ce code doit correspondre à du paramétrage quelque part et je ne le trouve pas

    Merci par avance pour votre aide

    Cordialement

    en réponse à : Activation d’un thème: Vous devez avoir des droits supérieur #2369676
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    En fait, comme il y avait beaucoup de plantages (extension SumoMe, ajouter du code html, ..) sur wordpress version 5.6.1  je suis revenu à une version antérieure 5.0 et malheurement les problèmes n’aviaent pas disparu

    Donc, je suis revenu à nouveau à la version 5.6.1 et j’ai eu des problèmes avec l’accés à l’admin de mon site sur localhost

    J’ai changé le champ  user_pass du fichier wp-users, créé un nouvel utilisateur admin dans wp_user et changé le champ wp_capabilities du fichier wp_usermeta à  “a:1:{s:13:”administrator”;b:1;}” comme il est mentionné dans plusieurs sites

    Mais les problèmes persisitent

    Merci par avance pour votre aide

    Cordialement

    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Merci beaucoup pour ta réponnse !

    Effectivement, ça marche

    Cordialement Olivier

     

     

     

    en réponse à : Plantage de WordPress quand j’ai voulu intaller l’extension SumoMe #2369373
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Merci pour votre réponse

    Je ne veux pas désactiver l’extension SumoMe (j’en ai besoin) mais corriger le plantage lié à cette extension

    Cordialement

    en réponse à : Plantage de WordPress quand j’ai voulu intaller l’extension SumoMe #2369342
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Je préfère laisser la version de PHP à son niveau actuelle

    Il doit bien y avoir une solution pour corriger ce plantage

    Cordialement

     

    en réponse à : Plantage de WordPress quand j’ai voulu intaller l’extension SumoMe #2369086
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Jai réalisé mon site e-commerce avec PHP et MySQL

    Le site lit une base de donnée de produits avec une partie admin pour insérer, modifier et supprimer des produits dans la base

    en réponse à : Plantage de WordPress quand j’ai voulu intaller l’extension SumoMe #2369083
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonsoir

    J’utilise XAMPP comme serveur local .

    il y a des programmes en PHP et SQL  : j’ai créé un site e-commerce avec PhpMyadmin

    Merci

    Cordialement

     

    en réponse à : Plantage de WordPress quand j’ai voulu intaller l’extension SumoMe #2369079
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonsoir

    Merci pour votre réponse

    Comment puis-je revenir à la version 7.4.1 de PHP ;  est-ce-que je peux le faire uniquement pour WordPress ?

    Merci beaucoup par avance

    oderobert
    Participant
    Initié WordPress
    23 contributions

    Ci-joint le fichier avec les copies d’écran

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    en réponse à : Bug sur le thème Sparkling #2368468
    oderobert
    Participant
    Initié WordPress
    23 contributions

    C’est une erreur de syntaxe qui apparait sur la page dès que l’on prévisualise le thème ‘sparkling’ de WordPress.

    Ceci est dû à PHP 8.0, il faut donc avoir la version PHP 8.0 ; avec les versions précédentes de PHP, il n’y a pas de plantage.

    Il faut corriger le code ci-dessus (remplacer HEADER par ‘HEADER’ et TEXCOLOR par ‘TEXTCOLOR’) et cela fonctionne

    Cordialement

     

     

    en réponse à : Bug sur le thème Sparkling #2368465
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    J’ai trouvé la réponse à mon problème sur le support  https://wordpress.org/support/theme/sparkling/ ; cf ci-dessous

    After upgrading to PHP 8.0 the site does not work -shows a white page- and causes this error:

    Got error 'PHP message: PHP Fatal error: Uncaught Error: Undefined constant "HEADER" in [...]/wp-content/themes/sparkling/inc/custom-header.php:56

    Downgrading to PHP 7.4, site works again.

    As far as I understand the code at wp-content/themes/sparkling/inc/custom-header.php, this must be chenged:

    		@$a = HEADER; // @codingStandardsIgnoreLine
    		@$b = TEXTCOLOR; // @codingStandardsIgnoreLine

    to:

    		@$a = 'HEADER'; // @codingStandardsIgnoreLine
    		@$b = 'TEXTCOLOR'; // @codingStandardsIgnoreLine

    Change must be applied to parent theme, not child theme.

    With this changes, site works in PHP 8.

    Cordialement

     

    en réponse à : Bug sur le thème Sparkling #2368462
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Si c’est payant, je préfère attendre

    Cordialement

    en réponse à : Bug sur le thème Sparkling #2368447
    oderobert
    Participant
    Initié WordPress
    23 contributions

    Bonjour

    Liste des extensions installées ; c’est plus clair :

    Akismet Anti-Spam

    Classic Editor

    Contact Form 7

    Hello Dolly

    Insert Special Characters

    Kali Forms – WordPress Forms Made Easy

    My Custom Functions

    Payfacile

    Search & Filter

    Simple Custom CSS and JS

    Merci C’est urgent

    Cordialement

     

    en réponse à : Bug sur le thème Sparkling #2368442
    oderobert
    Participant
    Initié WordPress
    23 contributions

    la liste des extensions installées ci-desous

    Cordialement

    Édit modération: suppression du contenu à rallonge avec balises de code, puisque vous reprenez ci-dessous votre liste d’extensions.

    • Cette réponse a été modifiée le il y a 1 mois et 2 semaines par Flobogo. Raison: édit modération
15 sujets de 1 à 15 (sur un total de 17)